Activity log for bug #1218322

Date Who What changed Old value New value Message
2013-08-29 11:28:02 Simplehuman bug added bug
2013-08-30 14:11:37 Launchpad Janitor indicator-keyboard (Ubuntu): status New Confirmed
2013-09-02 05:30:14 Evgecyn bug added subscriber Evgecyn
2013-09-04 07:31:33 Pavel Yushchenko bug added subscriber Pavel Yushchenko
2013-09-04 20:22:14 shkiper325 bug added subscriber shkiper325
2013-09-05 12:23:30 Doctor Rover bug added subscriber Rover
2013-09-05 16:56:14 Simplehuman description Can't set keyboard layout change to ctrl+shift. "Shift" key is just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron: LANGUAGE=ru_UA:ru PATH=(custom, no user) XDG_RUNTIME_DIR=<set> LANG=ru_UA.UTF-8 SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-09-07 14:05:38 Lockal bug added subscriber Lockal
2013-09-09 11:54:37 Yuriy Vidineev bug added subscriber Yuriy Vidineev
2013-09-15 07:24:59 Alexander bug added subscriber Alexander
2013-09-15 11:07:05 skybon bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=681685
2013-09-26 17:42:12 Mike bug added subscriber Mike
2013-09-28 20:30:28 Jaromir Obr bug added subscriber Jaromir Obr
2013-09-28 21:15:25 Karma Dorje bug added subscriber Karma Dorje
2013-09-30 08:00:25 Vitali Kulikou bug added subscriber Vitali Kulikou
2013-09-30 11:26:18 Dmitry Shachnev indicator-keyboard (Ubuntu): status Confirmed Triaged
2013-09-30 11:26:21 Dmitry Shachnev indicator-keyboard (Ubuntu): importance Undecided High
2013-09-30 11:28:15 Dmitry Shachnev bug task added gnome-control-center (Ubuntu)
2013-09-30 11:29:04 Dmitry Shachnev gnome-control-center (Ubuntu): status New Triaged
2013-09-30 11:29:08 Dmitry Shachnev gnome-control-center (Ubuntu): importance Undecided High
2013-09-30 11:29:21 Dmitry Shachnev bug added subscriber Dmitry Shachnev
2013-10-03 01:47:05 Ikuya Awashiro bug added subscriber Ikuya Awashiro
2013-10-03 08:26:04 Tihomir Trifonov bug added subscriber Tihomir Trifonov
2013-10-03 12:20:17 Dmitry Shachnev affects gnome-control-center (Ubuntu) gnome-settings-daemon (Ubuntu)
2013-10-03 14:00:42 Tolchi bug added subscriber Tolchi
2013-10-04 14:53:41 Denis Koryavov bug added subscriber Denis Koryavov
2013-10-04 21:03:26 Alexander Zu bug added subscriber Alexander Zu
2013-10-07 09:05:52 Vladimir Scherbaev bug added subscriber Vladimir Scherbaev
2013-10-07 13:26:47 William Hua bug added subscriber William Hua
2013-10-08 05:56:46 GooDCoFF bug added subscriber GooDCoFF
2013-10-08 11:11:42 Maxim Kuznetsov bug added subscriber Maxim Kuznetsov
2013-10-09 17:05:03 discont bug added subscriber discont
2013-10-09 18:33:04 Dmitry Murat bug added subscriber Dmitry Murat
2013-10-10 17:07:58 Igor Veselov bug added subscriber Igor Veselov
2013-10-11 00:39:17 Ivan Koptiev bug added subscriber kop
2013-10-12 01:07:10 Alexander Seleznev bug added subscriber Alexander Seleznev
2013-10-12 11:40:29 persi bug added subscriber persi
2013-10-12 23:10:43 Egmont Koblinger bug added subscriber Egmont Koblinger
2013-10-13 09:42:19 Alejandro bug added subscriber Alejandro
2013-10-13 14:08:37 Net_Stranger bug task added indicator-keyboard
2013-10-13 15:10:57 Theodore Zahov summary Can't set keyboard layout change to ctrl+shift Can't set keyboard layout change to ctrl+shift and more
2013-10-13 15:11:44 Theodore Zahov summary Can't set keyboard layout change to ctrl+shift and more Can't set keyboard layout change to ctrl+shift
2013-10-14 11:00:06 Igor Zubarev bug added subscriber Igor Zubarev
2013-10-14 14:51:24 Dex bug added subscriber Dex
2013-10-14 22:03:35 paranoid bug added subscriber paranoid
2013-10-15 11:59:23 Drobyshevskyi bug added subscriber Drobyshevskyi
2013-10-15 14:41:10 William Hua indicator-keyboard (Ubuntu): assignee William Hua (attente)
2013-10-15 14:41:13 William Hua gnome-settings-daemon (Ubuntu): assignee William Hua (attente)
2013-10-15 15:02:42 Pilot6 bug added subscriber Pilot6
2013-10-16 08:36:49 michal.gregor bug added subscriber michal.gregor
2013-10-16 09:03:30 Miroslav Hadzhiev bug added subscriber Miroslav E. Hadzhiev (Хаджиев)
2013-10-16 09:34:46 Aleksey S. Vasilenko bug added subscriber Aleksey S. Vasilenko
2013-10-16 13:42:52 Shahar Or summary Can't set keyboard layout change to ctrl+shift Can't set keyboard layout change to alt+shift, ctrl+shift, etc.
2013-10-16 14:02:07 William Hua branch linked lp:~attente/gnome-control-center/lp1218322
2013-10-16 20:26:31 William Hua branch linked lp:~attente/gnome-settings-daemon/lp1218322
2013-10-16 21:56:37 William Hua gnome-settings-daemon (Ubuntu): status Triaged In Progress
2013-10-16 21:59:49 William Hua bug task added gnome-control-center (Ubuntu)
2013-10-16 22:00:01 William Hua gnome-control-center (Ubuntu): status New In Progress
2013-10-16 22:00:08 William Hua gnome-control-center (Ubuntu): assignee William Hua (attente)
2013-10-16 22:00:43 William Hua indicator-keyboard: status New Invalid
2013-10-16 22:00:47 William Hua indicator-keyboard (Ubuntu): status Triaged Invalid
2013-10-17 13:54:42 Dmitry Pashkevich bug added subscriber Dmitry Pashkevich
2013-10-17 13:56:13 MTelegin bug added subscriber MTelegin
2013-10-17 15:20:21 Stanislav bug added subscriber Stanislav
2013-10-17 17:00:33 ssy bug added subscriber ssy
2013-10-17 18:08:28 Artem Popov bug added subscriber Artem Popov
2013-10-17 20:33:10 Alexander Olgin indicator-keyboard: status Invalid Confirmed
2013-10-17 20:33:29 Alexander Olgin indicator-keyboard: assignee Alexander Olgin (alexander-a-olgin)
2013-10-17 21:39:21 Aleksey Kishkin bug added subscriber Aleksey Kishkin
2013-10-17 21:50:14 Dimasmith bug added subscriber Dimasmith
2013-10-17 22:08:57 Mike bug added subscriber Mike
2013-10-17 22:32:06 Paul Plevako bug added subscriber Paul Plevako
2013-10-18 02:52:41 Vit bug added subscriber Vit
2013-10-18 04:10:56 Artem bug added subscriber Artem (Tim)
2013-10-18 05:07:34 pongtawat bug added subscriber pongtawat
2013-10-18 07:18:31 Leonid Kuzmin bug added subscriber zuker
2013-10-18 08:25:17 DarkFess bug added subscriber DarkFess
2013-10-18 08:47:29 fwm bug added subscriber fwm
2013-10-18 08:58:26 Georgy Ivanov bug added subscriber Georgy Ivanov
2013-10-18 09:19:17 Valery indicator-keyboard (Ubuntu): status Invalid Confirmed
2013-10-18 10:13:58 Leonid Evdokimov bug added subscriber Leonid Evdokimov
2013-10-18 11:47:06 khadeja indicator-keyboard (Ubuntu): assignee William Hua (attente) khadeja (muslimaqq)
2013-10-18 11:55:20 Navid bug added subscriber yaa110
2013-10-18 12:34:43 DarkFess gnome-settings-daemon (Ubuntu): status In Progress Confirmed
2013-10-18 12:34:48 DarkFess gnome-control-center (Ubuntu): status In Progress Confirmed
2013-10-18 12:42:39 Dmitry Shachnev indicator-keyboard (Ubuntu): assignee khadeja (muslimaqq) William Hua (attente)
2013-10-18 12:42:55 Dmitry Shachnev indicator-keyboard: assignee Alexander Olgin (alexander-a-olgin)
2013-10-18 14:11:34 Sukochev Roman (Leolik) bug added subscriber Sukochev Roman (Leolik)
2013-10-18 14:37:08 Peacemaker bug added subscriber Peacemaker
2013-10-18 16:34:32 Agmenor bug added subscriber Agmenor
2013-10-18 17:05:59 Vyacheslav Azarov bug added subscriber Vyacheslav Azarov
2013-10-18 17:49:30 papadopc bug added subscriber papadopc
2013-10-18 17:52:41 Norbert bug added subscriber Norbert
2013-10-18 18:15:12 Alexandr attachment added Раскладкак.png https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1218322/+attachment/3882570/+files/%D0%A0%D0%B0%D1%81%D0%BA%D0%BB%D0%B0%D0%B4%D0%BA%D0%B0%D0%BA.png
2013-10-18 18:56:32 Norbert tags amd64 apport-bug saucy apport-bug saucy
2013-10-18 19:30:04 David bug added subscriber David
2013-10-18 19:48:46 Chris Kormaris bug added subscriber Chris Kormaris
2013-10-18 19:51:38 Anton Statutov bug added subscriber Anton Statutov
2013-10-18 20:44:05 Oleksii Talamanov bug added subscriber Oleksii Talamanov
2013-10-18 21:00:22 Pavel bug added subscriber Pavel
2013-10-18 21:16:44 victor bug added subscriber victor
2013-10-18 21:36:50 Stanislav Bondarenko bug added subscriber Stanislav Bondarenko
2013-10-18 22:19:40 Azarashi bug added subscriber Azarashi
2013-10-18 23:28:05 Omri Stein bug added subscriber Omri Stein
2013-10-19 00:51:24 Mikola bug added subscriber Mikola
2013-10-19 01:42:44 Avi Schwartz bug added subscriber Avi Schwartz
2013-10-19 03:35:09 zyss bug added subscriber zyss
2013-10-19 05:33:08 Nikolay bug added subscriber Nikolay
2013-10-19 06:24:38 Tim Artman bug added subscriber Tim Artman
2013-10-19 07:02:39 Sergei bug added subscriber Sergei
2013-10-19 08:43:36 Assaf Shachar bug added subscriber Assaf Shachar
2013-10-19 09:14:49 Fedor Kovalev bug added subscriber Fedor Kovalev
2013-10-19 09:36:30 eugene bug added subscriber eugene
2013-10-19 09:41:24 Anatoly bug added subscriber Anatoly
2013-10-19 09:57:18 Artem Khoroshev bug added subscriber Artem Khoroshev
2013-10-19 11:38:06 István Váradi bug added subscriber István Váradi
2013-10-19 11:56:23 Axel bug added subscriber Axel
2013-10-19 11:56:32 Erwaht bug added subscriber Erwaht
2013-10-19 12:28:04 jadi bug added subscriber jadi
2013-10-19 12:33:33 Alessandro Ceschini bug added subscriber Alessandro Ceschini
2013-10-19 13:08:21 Don't panic! affects indicator-keyboard ubuntu
2013-10-19 13:10:10 Don't panic! bug added subscriber Don't panic!
2013-10-19 13:26:59 Franko Burolo bug added subscriber Franko Burolo
2013-10-19 14:58:45 alternativshik@gmail.com bug added subscriber alternativshik@gmail.com
2013-10-19 15:06:33 Mahdi Dibaiee bug added subscriber Mahdi
2013-10-19 15:57:16 Ofir p bug added subscriber Ofir p
2013-10-19 16:01:33 Vitalii K. bug added subscriber Vitalii K.
2013-10-19 16:16:52 Newt bug added subscriber Newt
2013-10-19 18:40:34 Maksim Lisnyak bug added subscriber Maksim Lisnyak
2013-10-19 19:29:59 Max bug added subscriber Max
2013-10-19 20:09:25 Egmont Koblinger attachment added %gconf.xml https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1218322/+attachment/3884036/+files/%25gconf.xml
2013-10-19 20:34:18 Valery Kazlou bug added subscriber Valery Kozlov
2013-10-19 21:55:05 Mikhail Priver bug added subscriber Mikhail Priver
2013-10-20 05:14:54 Erik bug added subscriber Erik
2013-10-20 05:26:51 Viktor Kazakov bug added subscriber Viktor Kazakov
2013-10-20 06:07:07 Dmitry Shachnev affects ubuntu indicator-keyboard
2013-10-20 07:03:20 Artem bug added subscriber tricote
2013-10-20 07:37:10 Aurélien Luciani bug added subscriber Aurélien Luciani
2013-10-20 08:20:35 Ahmed bug added subscriber Ahmed
2013-10-20 09:06:32 Rustam Tsurik bug added subscriber Rustam Tsurik
2013-10-20 11:12:49 Alimov Alisher bug added subscriber Alimov Alisher
2013-10-20 11:36:11 Chris Kormaris removed subscriber Chris Kormaris
2013-10-20 11:36:25 Chris Kormaris bug added subscriber Chris Kormaris
2013-10-20 12:31:04 Artyom Pertsovsky bug added subscriber Artyom Pertsovsky
2013-10-20 13:05:19 Volodymyr bug added subscriber Volodymyr
2013-10-20 14:21:36 Ferenc Gerlits bug added subscriber Ferenc Gerlits
2013-10-20 15:01:04 UaHummer bug added subscriber UaHummer
2013-10-20 15:32:07 Soheil sh bug added subscriber Soheil sh
2013-10-20 15:35:42 Konstantinos Kypris bug added subscriber Konstantinos Kypris
2013-10-20 15:43:06 Panagiotis Astithas bug added subscriber Panagiotis Astithas
2013-10-20 16:28:21 Pavel Vorobiov removed subscriber Pavel Vorobiov
2013-10-20 16:30:28 kvas bug added subscriber kvas
2013-10-20 16:46:24 Taras bug added subscriber Taras
2013-10-20 17:33:24 Shahar Or bug added subscriber Shahar Or
2013-10-20 19:46:45 Philip Savkin bug added subscriber Philip Savkin
2013-10-20 20:02:33 murzzz bug added subscriber murzz
2013-10-20 21:18:43 Alex bug added subscriber Alexey Anufriev
2013-10-20 21:39:29 Paul Plevako removed subscriber Paul Plevako
2013-10-20 22:28:35 Dmitry Bastryg bug added subscriber Dmitry Bastrygin
2013-10-20 22:42:34 skpy bug added subscriber skpy
2013-10-20 23:12:11 hamed mosavian bug added subscriber hamed mosavian
2013-10-20 23:31:59 perezcuesta bug added subscriber perezcuesta
2013-10-21 04:11:47 Spencer bug added subscriber Spencer
2013-10-21 05:05:06 Антон Цыганенко bug added subscriber Антон Цыганенко
2013-10-21 05:53:13 Sergey Khruschak bug added subscriber Sergey Khruschak
2013-10-21 05:57:59 Romolos bug added subscriber Romolos
2013-10-21 06:52:05 Povilas Balzaravičius aka Pawka bug added subscriber Povilas Balzaravičius aka Pawka
2013-10-21 07:07:48 Roman Shiryaev bug added subscriber Roman Shiryaev
2013-10-21 07:08:40 Flopy bug added subscriber Flopy
2013-10-21 07:14:09 Standa Kouba bug added subscriber Standa Kouba
2013-10-21 07:24:56 Valera Lewontyev bug added subscriber Valera Lewontyev
2013-10-21 07:53:06 Anton Uspenskiy bug added subscriber Anton Uspenskiy
2013-10-21 08:12:31 Nicholas Shatokhin bug added subscriber Jawi Malaysia Keyboard layout and Font Project
2013-10-21 08:38:25 Филип Андонов bug added subscriber Филип Андонов
2013-10-21 08:42:07 Viktor Suprun bug added subscriber POPSuL
2013-10-21 09:02:49 Norbert bug task added ubuntu-gnome
2013-10-21 10:22:18 Nattawut Phetmak bug added subscriber Nattawut Phetmak
2013-10-21 11:20:09 Roman Bedroš bug added subscriber Roman Bedroš
2013-10-21 11:26:30 Ádám Révész bug added subscriber Ádám Révész
2013-10-21 12:17:41 Alberto Salvia Novella gnome-control-center (Ubuntu): importance Undecided High
2013-10-21 12:17:45 Alberto Salvia Novella ubuntu-gnome: status New Confirmed
2013-10-21 12:18:07 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): status Confirmed Triaged
2013-10-21 12:18:10 Alberto Salvia Novella gnome-control-center (Ubuntu): status Confirmed Triaged
2013-10-21 12:18:13 Alberto Salvia Novella indicator-keyboard (Ubuntu): status Confirmed Triaged
2013-10-21 12:18:28 Andrei Shevchuk bug added subscriber Andrei Shevchuk
2013-10-21 12:18:35 Alberto Salvia Novella bug task added hundredpapercuts
2013-10-21 12:18:44 Alberto Salvia Novella hundredpapercuts: status New Confirmed
2013-10-21 12:19:00 Alberto Salvia Novella hundredpapercuts: assignee Paper Cuts Ninja (papercuts-ninja)
2013-10-21 12:19:10 Alberto Salvia Novella bug added subscriber Alberto Salvia Novella
2013-10-21 12:26:22 CVirus bug added subscriber CVirus
2013-10-21 12:40:07 Sergey Wolf bug added subscriber Sergey Wolf
2013-10-21 13:48:55 Askhat bug added subscriber Askhat
2013-10-21 14:17:56 stamatis bug added subscriber stamatis
2013-10-21 14:38:12 Vitalii K. removed subscriber Vitalii K.
2013-10-21 14:38:19 Vitalii K. bug added subscriber Vitalii K.
2013-10-21 14:52:10 Romano Giannetti bug added subscriber Romano Giannetti
2013-10-21 14:54:19 Dmitry bug added subscriber Dmitry
2013-10-21 15:22:36 Elitzur Dattner bug added subscriber Elitzur Dattner
2013-10-21 15:49:22 Sebastien Bacher nominated for series Ubuntu Saucy
2013-10-21 15:49:22 Sebastien Bacher bug task added gnome-control-center (Ubuntu Saucy)
2013-10-21 15:49:22 Sebastien Bacher bug task added gnome-settings-daemon (Ubuntu Saucy)
2013-10-21 15:49:22 Sebastien Bacher bug task added indicator-keyboard (Ubuntu Saucy)
2013-10-21 15:49:47 Sebastien Bacher indicator-keyboard (Ubuntu): status Triaged Invalid
2013-10-21 15:49:55 Sebastien Bacher indicator-keyboard (Ubuntu Saucy): status New In Progress
2013-10-21 15:50:00 Sebastien Bacher indicator-keyboard (Ubuntu Saucy): importance Undecided High
2013-10-21 15:50:17 Sebastien Bacher hundredpapercuts: status Confirmed Invalid
2013-10-21 15:50:46 Sebastien Bacher indicator-keyboard (Ubuntu Saucy): status In Progress Invalid
2013-10-21 15:50:52 Sebastien Bacher indicator-keyboard: status Confirmed Invalid
2013-10-21 15:50:56 Sebastien Bacher indicator-keyboard: importance Undecided High
2013-10-21 15:51:00 Sebastien Bacher gnome-control-center (Ubuntu Saucy): importance Undecided High
2013-10-21 15:51:12 Sebastien Bacher gnome-settings-daemon (Ubuntu Saucy): importance Undecided High
2013-10-21 15:51:18 Sebastien Bacher gnome-control-center (Ubuntu): status Triaged Fix Committed
2013-10-21 15:51:30 Sebastien Bacher ubuntu-gnome: importance Undecided High
2013-10-21 15:51:35 Sebastien Bacher gnome-control-center (Ubuntu Saucy): status New In Progress
2013-10-21 15:51:48 Sebastien Bacher bug added subscriber Ubuntu Stable Release Updates Team
2013-10-21 16:02:24 Sebastien Bacher description Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-21 16:06:23 Erwaht removed subscriber Erwaht
2013-10-21 16:17:10 Launchpad Janitor gnome-settings-daemon (Ubuntu Saucy): status New Confirmed
2013-10-21 16:39:44 Alberto Salvia Novella gnome-settings-daemon (Ubuntu Saucy): status Confirmed Triaged
2013-10-21 16:45:24 Georgy Ivanov removed subscriber Georgy Ivanov
2013-10-21 18:00:01 Dmitry Mekhantev bug added subscriber Dmitry
2013-10-21 18:51:32 William Hua description === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-21 19:48:37 Konstantin Baranovskiy bug added subscriber Baranovskiy Konstantin
2013-10-21 20:42:01 Jan Klícha bug added subscriber Jan Klícha
2013-10-21 21:11:01 Adam Conrad gnome-control-center (Ubuntu Saucy): status In Progress Fix Committed
2013-10-21 21:11:07 Adam Conrad bug added subscriber SRU Verification
2013-10-21 21:11:18 Adam Conrad tags apport-bug saucy apport-bug saucy verification-needed
2013-10-21 21:15:30 Adam Conrad gnome-settings-daemon (Ubuntu Saucy): status Triaged Fix Committed
2013-10-21 23:32:52 Launchpad Janitor branch linked lp:ubuntu/saucy-proposed/gnome-control-center
2013-10-21 23:56:18 Sukochev Roman (Leolik) tags apport-bug saucy verification-needed apport-bug saucy verification-failed
2013-10-22 00:12:31 jorge cordeiro bug added subscriber jorge cordeiro
2013-10-22 03:56:19 Sebastien Bacher tags apport-bug saucy verification-failed apport-bug saucy verification-needed
2013-10-22 07:25:06 n43jl bug added subscriber Dmitriy
2013-10-22 07:25:48 n43jl bug added subscriber n43jl
2013-10-22 09:03:03 Dmitry Salashnik bug added subscriber Dmitry Salashnik
2013-10-22 09:13:18 Alberto Salvia Novella hundredpapercuts: assignee Paper Cuts Ninja (papercuts-ninja)
2013-10-22 10:37:16 Jaromir Obr removed subscriber Jaromir Obr
2013-10-22 12:01:28 Evgeny Uspensky bug added subscriber Evgeny Uspensky
2013-10-22 12:03:26 Juan Carlos removed subscriber Juan Carlos
2013-10-22 12:03:39 Juan Carlos bug added subscriber Juan Carlos
2013-10-22 12:03:49 Juan Carlos removed subscriber Juan Carlos
2013-10-22 12:32:31 Vassili Platonov bug added subscriber Vassili Platonov
2013-10-22 13:52:27 Mikhail S. Pobolovets bug added subscriber Mikhail S. Pobolovets
2013-10-22 14:02:52 Sebastien Bacher tags apport-bug saucy verification-needed apport-bug saucy verification-done
2013-10-22 14:56:20 TomasHnyk bug added subscriber TomasHnyk
2013-10-22 17:01:19 Izon bug added subscriber Izon
2013-10-22 17:20:47 Valery Kazlou removed subscriber Valery Kazlou
2013-10-22 17:37:31 Mikhail Priver tags apport-bug saucy verification-done apport-bug saucy verification-failed
2013-10-22 18:12:19 Sebastien Bacher tags apport-bug saucy verification-failed apport-bug saucy verification-done
2013-10-22 18:22:54 Arseny Kapoulkine removed subscriber Arseny Kapoulkine
2013-10-22 19:07:52 Andrey Yurkovsky bug added subscriber Andrey Yurkovsky
2013-10-22 21:22:53 Dmitry Mekhantev removed subscriber Dmitry
2013-10-22 21:26:06 Net_Stranger bug added subscriber Net_Stranger
2013-10-22 22:06:56 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): status Triaged Fix Committed
2013-10-22 22:07:04 Alberto Salvia Novella ubuntu-gnome: status Confirmed Fix Committed
2013-10-22 22:07:16 Alberto Salvia Novella indicator-keyboard (Ubuntu): assignee William Hua (attente)
2013-10-22 22:07:24 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): assignee William Hua (attente)
2013-10-22 22:07:27 Alberto Salvia Novella gnome-control-center (Ubuntu): assignee William Hua (attente)
2013-10-22 23:04:10 Romano Giannetti attachment added The options for the keyboard special keys has disappeared after the last update https://bugs.launchpad.net/ubuntu-gnome/+bug/1218322/+attachment/3887909/+files/keyboardoptions.png
2013-10-23 03:46:11 Reinventer bug added subscriber Reinventer
2013-10-23 06:58:56 Gergely SZABÓ bug added subscriber Gergely SZABÓ
2013-10-23 11:55:57 Karoliina bug added subscriber Karoliina
2013-10-23 12:30:22 ArtKun bug added subscriber ArtKun
2013-10-23 13:34:52 Andrew.Y bug added subscriber ay@ing-ss.com
2013-10-23 18:11:23 Vitaliy Kosharskiy gnome-settings-daemon (Ubuntu Saucy): status Fix Committed Fix Released
2013-10-23 18:22:34 Dmitry Bastryg removed subscriber Dmitry Bastrygin
2013-10-23 18:29:41 Sebastien Bacher gnome-settings-daemon (Ubuntu Saucy): status Fix Released Fix Committed
2013-10-23 19:38:33 nemo bug added subscriber nemo
2013-10-23 22:25:27 Sergey Prokhorov bug added subscriber Sergey Prokhorov
2013-10-23 23:45:23 mohammad zarei removed subscriber mohammad zarei
2013-10-23 23:59:43 sjjh bug added subscriber sjjh
2013-10-24 00:50:12 Chris Kormaris removed subscriber Chris Kormaris
2013-10-24 00:50:16 Chris Kormaris bug added subscriber Chris Kormaris
2013-10-24 00:52:15 Mihail Stolbov bug added subscriber Mihail Stolbov
2013-10-24 03:57:05 Petr Praus bug added subscriber Petr Praus
2013-10-24 04:55:42 Anubhav Chattoraj bug added subscriber Anubhav Chattoraj
2013-10-24 05:37:22 Jan Groenewald bug added subscriber AIMS
2013-10-24 07:46:06 Spencer removed subscriber Spencer
2013-10-24 08:06:30 JackT bug added subscriber Jack Trice
2013-10-24 08:10:37 Drors bug added subscriber Drors
2013-10-24 09:16:31 To Do bug added subscriber To Do
2013-10-24 09:21:00 Roman Bedroš indicator-keyboard (Ubuntu Saucy): status Invalid Fix Released
2013-10-24 09:35:57 Ivan Koptiev removed subscriber kop
2013-10-24 09:59:06 Mahdi Dibaiee removed subscriber Mahdi
2013-10-24 09:59:35 Alberto Salvia Novella indicator-keyboard (Ubuntu Saucy): status Fix Released Invalid
2013-10-24 10:39:45 Abandonedfromwindows bug added subscriber Abandonedfromwindows
2013-10-24 10:52:47 Victor Yakimenko bug added subscriber Victor Yakimenko
2013-10-24 11:13:15 ssy removed subscriber ssy
2013-10-24 13:42:29 Iwaneez removed subscriber Iwaneez
2013-10-24 14:01:46 magnamaitre bug added subscriber magnamaitre
2013-10-24 14:01:50 magnamaitre removed subscriber magnamaitre
2013-10-24 14:01:52 magnamaitre bug added subscriber magnamaitre
2013-10-24 14:48:00 Anton Efimchuk bug added subscriber Anton Efimchuk
2013-10-24 17:31:30 William Hua description === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-24 20:47:32 Adam Conrad tags apport-bug saucy verification-done apport-bug saucy
2013-10-24 20:47:36 Adam Conrad tags apport-bug saucy apport-bug saucy verification-needed
2013-10-24 22:13:23 Alberto Salvia Novella gnome-control-center (Ubuntu): status Fix Committed In Progress
2013-10-24 22:13:36 Alberto Salvia Novella gnome-control-center (Ubuntu Saucy): status Fix Committed In Progress
2013-10-24 22:13:39 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): status Fix Committed In Progress
2013-10-24 22:13:53 Alberto Salvia Novella hundredpapercuts: importance Undecided Medium
2013-10-24 22:14:03 Alberto Salvia Novella gnome-settings-daemon (Ubuntu Saucy): status Fix Committed In Progress
2013-10-24 22:14:08 Alberto Salvia Novella ubuntu-gnome: status Fix Committed In Progress
2013-10-24 22:16:31 Alberto Salvia Novella gnome-control-center (Ubuntu Saucy): status In Progress Fix Committed
2013-10-24 22:16:46 Alberto Salvia Novella ubuntu-gnome: status In Progress Fix Committed
2013-10-24 22:16:51 Alberto Salvia Novella gnome-settings-daemon (Ubuntu Saucy): status In Progress Fix Committed
2013-10-24 22:16:56 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): status In Progress Fix Committed
2013-10-24 22:16:58 Alberto Salvia Novella gnome-control-center (Ubuntu): status In Progress Fix Committed
2013-10-25 01:06:54 Emad Khazraee bug added subscriber Emad Khazraee
2013-10-25 07:05:06 Ido removed subscriber Ido
2013-10-25 09:09:13 Ratchanan Srirattanamet attachment added /etc/default/keyboard https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1218322/+attachment/3890902/+files/keyboard
2013-10-25 10:54:47 Serguei Pachtchenko bug added subscriber Serguei Pachtchenko
2013-10-25 13:16:03 Sean Rybakov bug added subscriber NotecX
2013-10-25 13:17:18 Alberto Salvia Novella gnome-control-center (Ubuntu): status Fix Committed Invalid
2013-10-25 13:17:26 Alberto Salvia Novella gnome-control-center (Ubuntu Saucy): status Fix Committed Invalid
2013-10-25 13:40:05 n43jl removed subscriber n43jl
2013-10-25 14:00:06 Mikhail Atuchin removed subscriber Mikhail Atuchin
2013-10-25 14:55:45 Dmitriy removed subscriber Dmitriy
2013-10-25 15:42:13 Ádám Révész removed subscriber Ádám Révész
2013-10-25 19:39:05 Ubuntu Foundations Team Bug Bot bug added subscriber Brian Murray
2013-10-25 19:39:13 Ubuntu Foundations Team Bug Bot tags apport-bug saucy verification-needed apport-bug saucy verification-failed verification-needed
2013-10-25 20:40:11 Patricio Clark bug added subscriber Patricio Clark
2013-10-25 20:50:57 Andrew Grabko bug added subscriber Andrew Grabko
2013-10-25 21:13:04 Brian Murray tags apport-bug saucy verification-failed verification-needed apport-bug saucy verification-needed
2013-10-25 21:15:59 Dmitry Mekhantev bug added subscriber Dmitry
2013-10-25 23:44:13 Ivan Toshkov bug added subscriber ivant
2013-10-25 23:44:32 Lei Wang bug added subscriber Lei Wang
2013-10-26 01:31:11 Антон Лаврёнов bug added subscriber Антон Лаврёнов
2013-10-26 08:06:04 Oleg bug added subscriber Oleg
2013-10-26 08:13:28 Lesha Ogonkov bug added subscriber Lesha Ogonkov
2013-10-26 09:25:14 Alexander Makarov bug added subscriber Alexander Makarov
2013-10-27 03:43:09 Alexander bug added subscriber Alexander
2013-10-27 04:01:59 Vladimir Osintsev bug added subscriber Vladimir Osintsev
2013-10-27 05:01:00 yufw indicator-keyboard (Ubuntu Saucy): status Invalid Fix Released
2013-10-27 06:16:10 Sebastian J. Bronner bug added subscriber Sebastian J. Bronner
2013-10-27 09:36:48 Beka removed subscriber Beka
2013-10-27 09:37:02 Beka bug added subscriber Beka
2013-10-27 10:00:53 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in: * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137); * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136); * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138); * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 10:38:26 Alberto Salvia Novella indicator-keyboard (Ubuntu Saucy): status Fix Released Invalid
2013-10-27 10:38:56 Alberto Salvia Novella bug task added gnome-settings-daemon
2013-10-27 11:07:39 SeRgiNiO bug added subscriber SeRgiNiO
2013-10-27 12:03:26 dess bug added subscriber dess
2013-10-27 12:29:49 Soheil sh removed subscriber Soheil sh
2013-10-27 13:11:13 atti bug added subscriber atti
2013-10-27 13:25:57 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in: * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137); * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136); * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138); * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). Bugs which belong to keyboard layout switching: > Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962) > Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064) > Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548) > Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 13:43:37 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). Bugs which belong to keyboard layout switching: > Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962) > Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064) > Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548) > Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). Bugs which belong to keyboard layout switching: * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962) * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064) * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188) * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548) * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/) * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 17:45:19 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). Bugs which belong to keyboard layout switching: * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962) * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064) * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188) * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548) * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/) * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188) * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 18:51:57 lazorkon@gmail.com bug added subscriber lazorkon@gmail.com
2013-10-27 19:12:48 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188) * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 19:46:46 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256) * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/12452581) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 19:56:36 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256) * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/12452581) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 20:18:42 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270) * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 20:28:20 Emad Khazraee removed subscriber Emad Khazraee
2013-10-27 20:30:19 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270) * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548) * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 20:38:33 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548) * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 20:41:15 Anton Petrov bug added subscriber Anton Petrov
2013-10-27 21:22:04 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272) * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278) * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-27 22:22:41 Amr Mostafa bug added subscriber Amr Mostafa
2013-10-28 07:01:09 DDS bug added subscriber DDS
2013-10-28 10:36:49 Alberto Salvia Novella bug task deleted indicator-keyboard (Ubuntu)
2013-10-28 10:37:03 Alberto Salvia Novella bug task deleted gnome-control-center (Ubuntu)
2013-10-28 10:37:13 Alberto Salvia Novella bug task deleted gnome-control-center (Ubuntu Saucy)
2013-10-28 10:37:20 Alberto Salvia Novella bug task deleted indicator-keyboard (Ubuntu Saucy)
2013-10-28 10:37:24 Alberto Salvia Novella bug task deleted hundredpapercuts
2013-10-28 10:38:10 Alberto Salvia Novella affects indicator-keyboard hundredpapercuts
2013-10-28 10:38:43 Alberto Salvia Novella bug task deleted gnome-settings-daemon
2013-10-28 10:38:58 Alberto Salvia Novella affects hundredpapercuts gnome-settings-daemon
2013-10-28 10:39:17 Alberto Salvia Novella gnome-settings-daemon: status Invalid Fix Committed
2013-10-28 10:45:15 Alberto Salvia Novella tags apport-bug saucy verification-needed apport-bug saucy verification-failed
2013-10-28 10:45:28 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): status Fix Committed Triaged
2013-10-28 10:45:32 Alberto Salvia Novella gnome-settings-daemon (Ubuntu Saucy): status Fix Committed Triaged
2013-10-28 10:45:38 Alberto Salvia Novella ubuntu-gnome: status Fix Committed Confirmed
2013-10-28 10:45:51 Alberto Salvia Novella gnome-settings-daemon: status Fix Committed Confirmed
2013-10-28 10:46:36 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): assignee William Hua (attente)
2013-10-28 10:46:42 Alberto Salvia Novella gnome-settings-daemon (Ubuntu Saucy): assignee William Hua (attente)
2013-10-28 10:47:08 Alberto Salvia Novella gnome-settings-daemon: assignee William Hua (attente)
2013-10-28 10:47:20 Altan removed subscriber Altan
2013-10-28 11:02:40 Yaraslau Zhylko removed subscriber Яраслаў
2013-10-28 12:39:54 Ben Hearsum bug added subscriber Ben Hearsum
2013-10-28 12:50:09 yufw removed subscriber yufw
2013-10-28 13:23:59 Nasos bug added subscriber Nasos
2013-10-28 16:17:03 Sebastien Bacher bug task added gnome-control-center (Ubuntu)
2013-10-28 16:17:17 Sebastien Bacher gnome-control-center (Ubuntu): importance Undecided High
2013-10-28 16:17:20 Sebastien Bacher gnome-control-center (Ubuntu): status New Triaged
2013-10-28 16:18:27 Sebastien Bacher tags apport-bug saucy verification-failed apport-bug saucy verification-done
2013-10-28 16:21:24 Роман bug added subscriber Роман
2013-10-28 16:23:10 Pavel Kotrč bug added subscriber Pavel Kotrč
2013-10-28 17:07:53 Alberto Salvia Novella gnome-control-center (Ubuntu): status Triaged Fix Released
2013-10-28 17:08:58 Alberto Salvia Novella gnome-settings-daemon (Ubuntu Saucy): status Triaged Fix Released
2013-10-28 17:09:05 Alberto Salvia Novella gnome-control-center (Ubuntu): assignee William Hua (attente)
2013-10-28 17:09:20 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): status Triaged Fix Released
2013-10-28 17:24:08 Andreas Tsourouflis bug added subscriber Andreas Tsourouflis
2013-10-28 17:49:26 Sebastian J. Bronner removed subscriber Sebastian J. Bronner
2013-10-28 18:14:33 George removed subscriber George
2013-10-29 06:39:11 Andrey Yurkovsky removed subscriber Andrey Yurkovsky
2013-10-29 09:47:26 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272) * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278) * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-29 10:04:55 Dmitry Shachnev gnome-settings-daemon (Ubuntu): status Fix Released Triaged
2013-10-29 10:05:04 Dmitry Shachnev gnome-control-center (Ubuntu): status Fix Released Triaged
2013-10-29 10:05:08 Dmitry Shachnev gnome-settings-daemon (Ubuntu Saucy): status Fix Released Triaged
2013-10-29 10:05:28 Dmitry Shachnev gnome-settings-daemon: status Confirmed Invalid
2013-10-29 10:52:56 Alberto Salvia Novella gnome-settings-daemon: assignee William Hua (attente)
2013-10-29 12:08:30 snipevitalik bug added subscriber snipevitalik
2013-10-29 12:11:10 Alexander removed subscriber Alexander
2013-10-29 13:16:08 Vaclav Cermak bug added subscriber Vaclav Cermak
2013-10-29 15:52:04 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575) * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-29 17:14:59 Launchpad Janitor gnome-settings-daemon (Ubuntu): status Triaged Fix Released
2013-10-29 18:06:30 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258) * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258)       * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) * Can't set keyboard layout change to Ctrl+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245991) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-29 18:27:55 Yaroslav Boichuk bug added subscriber Yaroslav Boichuk
2013-10-30 06:32:18 dimafogo bug added subscriber dimafogo
2013-10-30 08:58:18 Goran Doychev bug added subscriber Goran Doychev
2013-10-30 15:45:25 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2013-10-30 15:45:58 Launchpad Janitor gnome-settings-daemon (Ubuntu Saucy): status Triaged Fix Released
2013-10-30 15:50:23 Launchpad Janitor gnome-control-center (Ubuntu): status Triaged Fix Released
2013-10-30 17:50:58 drorlev bug added subscriber drorlev
2013-10-30 19:10:46 Tamás Barta bug added subscriber Tamás Barta
2013-10-31 00:58:11 Iain Lane gnome-control-center (Ubuntu): status Fix Released Fix Committed
2013-10-31 01:20:48 Launchpad Janitor branch linked lp:ubuntu/trusty-proposed/gnome-control-center
2013-10-31 03:38:57 Launchpad Janitor gnome-control-center (Ubuntu): status Fix Committed Fix Released
2013-10-31 03:44:06 Vitalii K. removed subscriber Vitalii K.
2013-10-31 06:25:51 Viktor Kazakov removed subscriber Viktor Kazakov
2013-10-31 06:39:37 Dex removed subscriber Dex
2013-10-31 07:22:09 Alexander removed subscriber Alexander
2013-10-31 10:25:49 George Karakostas bug added subscriber George Karakostas
2013-10-31 11:05:10 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258)       * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268) * Can't set keyboard layout change to Ctrl+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245991) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258)       * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268)       * Can't set keyboard layout change to Ctrl+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245991) * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1246656) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-10-31 13:03:01 seamus bug added subscriber seamus
2013-10-31 13:23:31 Alberto Salvia Novella gnome-settings-daemon (Ubuntu Saucy): status Fix Released Triaged
2013-10-31 13:23:36 Alberto Salvia Novella gnome-settings-daemon (Ubuntu): status Fix Released Triaged
2013-10-31 13:23:41 Alberto Salvia Novella gnome-control-center (Ubuntu): status Fix Released Triaged
2013-10-31 13:33:09 Nick removed subscriber Nick
2013-10-31 13:34:40 Mohammad Javad Naderi removed subscriber Mohammad Javad Naderi
2013-10-31 15:34:01 Anton removed subscriber Anton
2013-10-31 16:18:21 Tihomir Trifonov removed subscriber Tihomir Trifonov
2013-10-31 17:05:27 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2013-10-31 17:05:35 Brian Murray tags apport-bug saucy verification-done apport-bug saucy
2013-10-31 17:05:38 Brian Murray tags apport-bug saucy apport-bug saucy verification-needed
2013-10-31 18:14:36 Artem removed subscriber Artem (Tim)
2013-10-31 19:18:00 Norbert tags apport-bug saucy verification-needed apport-bug keyboard-layout-switching-hotkeys saucy verification-needed
2013-10-31 19:19:48 Norbert tags apport-bug keyboard-layout-switching-hotkeys saucy verification-needed apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related saucy verification-needed
2013-10-31 20:04:07 Norbert description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258)       * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268)       * Can't set keyboard layout change to Ctrl+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245991) * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1246656) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258)       * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268)       * Can't set keyboard layout change to Ctrl+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245991)       * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1246656) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-11-01 02:27:20 Anton Shukalo bug added subscriber Anton Shukalo
2013-11-01 07:26:14 Dmitry Shachnev description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: > Super+Space and Shift+Super+Space, found in:       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245137);       * Unity session (https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1245136);       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245138);       * ubiquity installer (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1242572). > Alt+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245256)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245258)       * Can't set keyboard layout change to Alt+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245926) > Ctrl+Shift       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245270)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245268)       * Can't set keyboard layout change to Ctrl+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245991)       * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1246656) > Shift+Shift       * Can't set keyboard layout change to Shift+Shift (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245272)       * lock screen - gnome-screensaver (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1245278)       * Unity greeter (https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1245280) Bugs which belong to keyboard layout switching:       * Hotkeys not functional in non-latin keyboard layout in 13.10 (https://bugs.launchpad.net/unity/+bug/1226962)       * Keyboard Layout Options window is missed in gnome-control-center keyboard (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245064)       * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245188)       * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1245199)       * Keyboard shortcut for changing keyboard layout does not work on lock screen (https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1244548)       * [FFe] indicator-keyboard not working under greeter (https://bugs.launchpad.net/unity-greeter/+bug/1228207)       * Lost ability to remap Caps Lock to Ctrl (https://bugs.launchpad.net/ubuntu/+source/indicator-keyboard/+bug/1215826/)       * gnome-control-center keyboard no longer has way to modify caps lock key behavior (https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1224575)       * Pressing Caps Lock toggles LED even when mapped to another key (https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)   * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)   * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-11-01 08:20:57 Mikhail Priver removed subscriber Mikhail Priver
2013-11-01 10:49:55 Станислав bug added subscriber Станислав
2013-11-01 14:15:42 Sean Rybakov removed subscriber NotecX
2013-11-01 14:46:36 Brian Murray removed subscriber Brian Murray
2013-11-01 20:02:38 Mikhail Shevtsov bug added subscriber Mikhail Shevtsov
2013-11-01 23:32:58 Aleh Arol bug added subscriber Aleh Arol
2013-11-02 05:58:48 Felipe Castillo tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related saucy verification-needed apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related saucy verification-done
2013-11-02 07:42:34 hurelhuyag bug added subscriber hurelhuyag
2013-11-02 08:44:41 Konstantin Gusev bug added subscriber Konstantin Gusev
2013-11-02 09:19:38 Norbert tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related saucy verification-done apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related saucy verification-failed
2013-11-02 11:53:59 DDS removed subscriber DDS
2013-11-02 14:02:22 Mikhail V. Golubev bug added subscriber Mikhail V. Golubev
2013-11-02 19:15:34 ZoLToR bug added subscriber ZoLToR
2013-11-03 07:40:33 Alon Amster bug added subscriber Alon Amster
2013-11-03 11:12:07 faical117 bug added subscriber faical117
2013-11-03 14:32:22 biske bug added subscriber biske
2013-11-03 21:05:12 Egmont Koblinger description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)   * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)   * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403) * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-11-03 21:18:31 Petr Praus removed subscriber Petr Praus
2013-11-03 21:42:44 Ferenc Gerlits removed subscriber Ferenc Gerlits
2013-11-04 11:22:43 Lockal tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related saucy verification-failed apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-failed
2013-11-04 11:33:43 Sebastien Bacher tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-failed apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-done
2013-11-04 11:38:54 Lockal bug added subscriber Mark Shuttleworth
2013-11-04 11:39:07 Lockal bug added subscriber Elizabeth Krumbach Joseph
2013-11-04 11:39:34 Lockal bug added subscriber Colin Watson
2013-11-04 11:40:14 Lockal bug added subscriber Steve Langasek
2013-11-04 11:40:28 Lockal bug added subscriber Stéphane Graber
2013-11-04 11:40:58 Lockal bug added subscriber Adam Conrad
2013-11-04 11:44:07 Alexey Chernikov bug added subscriber Alexey Chernikov
2013-11-04 17:04:38 Norbert tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-done apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-failed
2013-11-04 17:16:41 Sebastien Bacher tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-failed apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-done
2013-11-04 18:30:42 papadopc removed subscriber papadopc
2013-11-04 19:23:02 Starovoytov Igor bug added subscriber Starovoytov Igor
2013-11-04 23:26:53 Elizabeth K. Joseph removed subscriber Elizabeth Krumbach Joseph
2013-11-05 00:58:52 Spam Trash bug added subscriber Ondra Žižka
2013-11-05 06:43:33 tealblue bug added subscriber tealblue
2013-11-05 11:06:02 Vasiliy bug added subscriber Vasiliy
2013-11-05 22:49:41 Ohad Lutzky bug added subscriber Ohad Lutzky
2013-11-06 05:49:19 Dugdmitry bug added subscriber Dugdmitry
2013-11-06 20:22:37 redrick bug added subscriber redrick
2013-11-07 06:49:13 kreo bug added subscriber kreo
2013-11-07 18:24:20 István Berta bug added subscriber István Berta
2013-11-07 19:30:58 victor removed subscriber victor
2013-11-07 20:54:34 Launchpad Janitor gnome-control-center (Ubuntu): status Triaged Fix Released
2013-11-07 22:38:28 Raz Ziv bug added subscriber Raz Ziv
2013-11-08 09:25:26 Sebastien Bacher bug watch added https://bugs.freedesktop.org/show_bug.cgi?id=55585
2013-11-08 11:58:01 Stanislav Zaprudsky bug added subscriber Stanislav Zaprudsky
2013-11-09 11:24:14 Eric Broneer bug added subscriber Eric Broneer
2013-11-09 13:26:09 Nervol Sergey bug added subscriber Nervol Sergey
2013-11-10 16:30:32 kompas bug added subscriber kompas
2013-11-11 06:55:46 rudnik bug added subscriber rudnik
2013-11-11 10:50:58 bam bug added subscriber bam
2013-11-11 15:11:44 valyo bug added subscriber valyo
2013-11-11 18:34:11 Sergio bug added subscriber Sergio
2013-11-12 19:36:06 Alexey Manukhin bug added subscriber Alexey Manukhin
2013-11-12 23:05:40 William Hua description A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/1218322. There still remain issues regarding keyboard shortcuts though. To install: sudo add-apt-repository ppa:attente/1218322 sudo apt-get update sudo apt-get upgrade === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403) * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2013-11-13 02:41:34 Launchpad Janitor branch linked lp:~ubuntu-desktop/gnome-settings-daemon/unity
2013-11-13 03:27:46 Ivan Anisimov bug added subscriber Ivan Anisimov
2013-11-13 21:16:34 Levan Chelidze attachment added out.ogv https://bugs.launchpad.net/ubuntu-gnome/+bug/1218322/+attachment/3908322/+files/out.ogv
2013-11-14 17:10:37 Artem Kuznetsov bug added subscriber Artem Kuznetsov
2013-11-14 18:54:32 Yuriy Shupenko removed subscriber Yuriy Shupenko
2013-11-15 05:10:06 kompas removed subscriber kompas
2013-11-17 09:33:06 Tereshenko Dmitriy bug added subscriber Tereshenko Dmitriy
2013-11-18 17:06:39 Norbert bug watch added https://bugs.mageia.org/show_bug.cgi?id=11698
2013-11-18 17:06:39 Norbert bug task added gnome-control-center (Mandriva)
2013-11-18 17:21:20 Norbert bug watch added https://bugzilla.altlinux.org/show_bug.cgi?id=29591
2013-11-18 17:21:20 Norbert bug task added gnome-control-center (ALT Linux)
2013-11-18 17:41:40 Bug Watch Updater gnome-control-center (Mandriva): status Unknown Confirmed
2013-11-18 17:41:40 Bug Watch Updater gnome-control-center (Mandriva): importance Unknown High
2013-11-18 19:37:16 Alberto Salvia Novella removed subscriber Alberto Salvia Novella
2013-11-18 20:52:41 Norbert bug watch added http://bugs.sabayon.org/show_bug.cgi?id=4483
2013-11-18 20:52:41 Norbert bug task added gnome-control-center (Gentoo Linux)
2013-11-19 10:59:36 Eric Broneer removed subscriber Eric Broneer
2013-11-20 23:01:38 Bug Watch Updater gnome-control-center (Mandriva): status Confirmed Invalid
2013-11-21 12:26:13 Филип Андонов removed subscriber Филип Андонов
2013-11-23 04:59:47 Paul Natsuo Kishimoto bug added subscriber Paul Kishimoto
2013-11-23 09:39:34 Mikhail bug added subscriber Mikhail
2013-11-23 21:35:20 Aleksey Kishkin removed subscriber Aleksey Kishkin
2013-11-23 21:35:33 Aleksey Kishkin bug added subscriber Aleksey Kishkin
2013-11-23 21:35:52 Aleksey Kishkin removed subscriber Aleksey Kishkin
2013-11-24 21:50:45 Vasily bug added subscriber Vasily
2013-11-25 10:45:27 Vladimir Rutsky bug added subscriber Vladimir Rutsky
2013-11-25 10:52:00 bam removed subscriber bam
2013-11-25 11:26:22 Anton Akhmerov bug added subscriber Anton Akhmerov
2013-11-27 07:29:50 Petr Gladkikh bug added subscriber Petr Gladkikh
2013-11-27 11:05:36 CS4 bug added subscriber CS4
2013-11-29 19:34:25 Anastasios bug added subscriber Anastasios
2013-11-29 19:34:37 Anastasios removed subscriber Anastasios
2013-11-29 19:34:40 Anastasios bug added subscriber Anastasios
2013-12-02 13:30:40 alex jordan bug added subscriber alex jordan
2013-12-02 14:08:57 Anton bug added subscriber Anton
2013-12-07 11:52:58 Vladimir Korenev bug added subscriber Vladimir Korenev
2013-12-10 14:58:14 Istarin bug added subscriber Istarin
2013-12-11 12:00:16 aragaer bug added subscriber aragaer
2013-12-11 20:02:30 van bug added subscriber van
2013-12-12 07:30:06 Oleg Sigida bug added subscriber Oleg Sigida
2013-12-13 13:06:18 Aurel Branzeanu bug added subscriber Aurel Branzeanu
2013-12-16 16:57:54 Daniel Feygin removed subscriber Daniel Feygin
2013-12-17 09:45:45 Alex Stanev bug added subscriber Alex Stanev
2013-12-18 07:11:49 Alex Slepoy bug added subscriber Alex Slepoy
2013-12-20 20:50:37 Norbert tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy verification-done apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy trusty verification-done
2013-12-20 21:36:06 Alexander Makarov removed subscriber Alexander Makarov
2013-12-22 14:27:31 Dmitry Ermolov bug added subscriber Dmitry Ermolov
2013-12-27 11:15:04 Denis bug added subscriber Denis
2014-01-02 21:55:08 Bohdan bug added subscriber Bohdan
2014-01-05 10:18:38 Shahar Or description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-01-08 21:21:29 Mantas Kriaučiūnas bug added subscriber Mantas Kriaučiūnas
2014-01-08 21:21:42 Mantas Kriaučiūnas bug added subscriber Baltix GNU/Linux system developers
2014-01-08 21:21:49 Mantas Kriaučiūnas bug added subscriber Baltix GNU/Linux activists
2014-01-08 21:21:58 Mantas Kriaučiūnas bug added subscriber Remis-nnk
2014-01-09 03:06:38 Amir Eldor bug added subscriber Amir Eldor
2014-01-10 04:37:28 Bug Watch Updater gnome-control-center (Gentoo Linux): status Unknown Invalid
2014-01-10 04:37:28 Bug Watch Updater gnome-control-center (Gentoo Linux): importance Unknown Medium
2014-01-11 07:01:44 Fabien Basmaison bug added subscriber Fabien Basmaison
2014-01-14 18:30:05 Pavel Fischer attachment added LayoutBug.png https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1218322/+attachment/3948669/+files/LayoutBug.png
2014-01-14 18:30:17 Pavel Fischer attachment added LayoutBug.png https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1218322/+attachment/3948670/+files/LayoutBug.png
2014-01-17 08:33:57 Zoltán Puskás bug added subscriber Zoltán Puskás
2014-01-20 17:02:30 Mantas Kriaučiūnas bug task added gnome-control-center (Baltix)
2014-01-21 20:40:03 Dimitar bug added subscriber Dimitar
2014-01-23 09:35:54 Alexander Anisimov bug added subscriber Alexander Anisimov
2014-02-03 03:43:27 Eugene Janusov bug added subscriber Eugene Janusov
2014-02-04 11:14:24 Sebastien Bacher tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy trusty verification-done apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy trusty ubuntu-desktop-trusty verification-done
2014-02-04 12:58:35 Sergei Morozov bug added subscriber Sergei Morozov
2014-02-04 19:43:23 Norbert description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926) * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts: * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-02-04 19:44:25 Norbert description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts: * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574) * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-02-05 04:23:33 Thanapon bug added subscriber Thanapon
2014-02-06 10:11:05 pongtawat removed subscriber pongtawat
2014-02-06 16:27:04 Yoav Feuerstein bug added subscriber Yoav Feuerstein
2014-02-08 11:37:46 Yuriy Yunikov bug added subscriber Yuriy Yunikov
2014-02-08 11:38:16 Yuriy Yunikov removed subscriber Yuriy Yunikov
2014-02-08 11:38:21 Yuriy Yunikov bug added subscriber Yuriy Yunikov
2014-02-10 21:56:08 Alexey Levan bug added subscriber Alexey Levan
2014-02-11 11:04:43 jkbkot bug added subscriber fraktalek
2014-02-12 10:25:38 oxay bug added subscriber oxay
2014-02-16 11:43:24 Thanos Kyritsis bug added subscriber Thanos Kyritsis
2014-02-18 09:56:21 Alexander Ivanov bug added subscriber Alexander Ivanov
2014-02-21 12:25:16 Kom-Si attachment added Text entry setting https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1218322/+attachment/3989552/+files/text_entry.png
2014-02-23 08:56:34 darius-s@inbox.lt bug added subscriber darius-s@inbox.lt
2014-03-05 07:28:39 Jonas Juodė gnome-control-center (Baltix): status New Confirmed
2014-03-05 07:28:46 Jonas Juodė gnome-control-center (Baltix): assignee Mantas Kriaučiūnas (mantas)
2014-03-07 17:45:36 Egmont Koblinger description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574) * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-03-07 18:10:19 Norbert description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668) * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572) * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-03-08 12:06:16 Veronika Levkevich bug added subscriber Veronika Levkevich
2014-03-10 17:41:19 Gerhard Radatz bug added subscriber Gerhard Radatz
2014-03-12 16:41:49 Mantas Kriaučiūnas gnome-control-center (Baltix): importance Undecided High
2014-03-16 22:30:17 Роман Донченко bug added subscriber Роман Донченко
2014-03-18 11:48:35 ihoru bug added subscriber ihoru
2014-03-22 10:38:46 Ori Avtalion bug added subscriber Ori Avtalion
2014-03-24 17:27:16 Denis removed subscriber Denis
2014-03-25 09:47:39 Denis bug added subscriber Denis
2014-03-27 08:00:16 greenvirag bug added subscriber greenvirag
2014-03-27 14:43:35 Oleg Shevelyov bug added subscriber Oleg Shevelyov
2014-03-29 17:31:56 Norbert description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572) * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637) * Unable to change keyboard layout while creating new folder in GtkFileChooserDialog (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-03-30 08:12:32 Norbert description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637) * Unable to change keyboard layout while creating new folder in GtkFileChooserDialog (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637)    * Unable to rename new folder in GtkFileChooserDialog while changing keyboard layout (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-04-01 18:22:27 István Berta removed subscriber István Berta
2014-04-01 18:44:52 Alexander Zu removed subscriber Alexander Zu
2014-04-04 21:11:05 Vl Li bug added subscriber Vl Li
2014-04-08 18:11:51 Роман Донченко bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=726649
2014-04-08 23:31:36 Oleg German bug added subscriber Oleg German
2014-04-10 06:13:53 Peter Schüller bug added subscriber Peter Schüller
2014-04-10 08:29:07 MLeo removed subscriber MLeo
2014-04-13 01:04:37 oriman bug added subscriber oriman
2014-04-18 01:57:29 Robert Valiant bug added subscriber Robert Valiant
2014-04-18 09:39:30 Matthieu Baerts bug added subscriber Matthieu Baerts
2014-04-21 07:20:06 Norbert description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637)    * Unable to rename new folder in GtkFileChooserDialog while changing keyboard layout (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Switching layout causes applications to lose focus for a moment, resulting in various kinds of misbehavior (bug 1289495) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637)    * Unable to rename new folder in GtkFileChooserDialog while changing keyboard layout (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Pressing keyboard shortcut to switch keyboard layout causes temporary loss of focus (bug 1244090) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-04-21 07:29:27 Norbert description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637)    * Unable to rename new folder in GtkFileChooserDialog while changing keyboard layout (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Pressing keyboard shortcut to switch keyboard layout causes temporary loss of focus (bug 1244090) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637)    * Unable to rename new folder in GtkFileChooserDialog while changing keyboard layout (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Pressing keyboard shortcut to switch keyboard layout causes temporary loss of focus (bug 1244090) * Unity shortcuts (Super+A/F/M/C/V) do not work on non-latin layout in Trusty - shortcuts are defined via keyboard layout, not the keys (bug 1280759) * Binding ctrl+shift, alt+shift, etc for switching keyboard layout makes shortcuts with ctrl+shift, etc not working in any program (bug 1245473) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2014-04-21 07:46:53 Stanislav removed subscriber Stanislav
2014-04-21 11:51:01 Tmin10 information type Public Public Security
2014-04-21 11:51:13 Tmin10 information type Public Security Public
2014-04-22 07:08:36 Ana Petkovska bug added subscriber Ana Stefanovska
2014-04-29 10:28:38 Mikhail Chabanov bug added subscriber Mikhail Chabanov
2014-04-29 19:50:21 Michael Soluyanov bug added subscriber Michael Soluyanov
2014-05-01 10:11:08 DDS bug added subscriber DDS
2014-05-06 06:40:03 Artyom Packhomov bug added subscriber Artyom Packhomov
2014-05-06 13:48:23 Andrew.Y removed subscriber Andrew.Y
2014-05-08 05:44:34 Mathew Hodson bug watch added https://bugzilla.redhat.com/show_bug.cgi?id=1015789
2014-05-08 05:44:34 Mathew Hodson bug task added gnome-control-center (Fedora)
2014-05-08 05:52:20 Golan removed subscriber Golan
2014-05-08 06:18:44 oxay removed subscriber oxay
2014-05-08 06:58:38 Yaroslav Boichuk removed subscriber Yaroslav Boichuk
2014-05-08 07:17:56 Vladi Katz removed subscriber Vladi Katz
2014-05-08 08:55:55 Victor Yakimenko removed subscriber Victor Yakimenko
2014-05-09 19:19:56 William Hua branch linked lp:~attente/gnome-settings-daemon/1218322
2014-05-10 11:37:32 Mike bug added subscriber Mike
2014-05-12 06:15:15 Alexander removed subscriber Alexander
2014-05-14 12:26:45 Safronov Sergey bug added subscriber Safronov Sergey
2014-05-15 17:14:19 Romano Giannetti bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=729423
2014-05-18 16:03:23 Vasiliy removed subscriber Vasiliy
2014-05-19 16:39:43 Julius removed subscriber Julius
2014-05-19 21:57:42 rinat shakurov bug added subscriber rinat shakurov
2014-05-28 07:07:58 amjjawad  bug added subscriber amjjawad
2014-06-20 13:23:48 Avi Schwartz removed subscriber Avi Schwartz
2014-07-04 05:07:37 Dmitry G. bug added subscriber Dmitry G.
2014-07-08 09:09:10 Mathew Hodson bug task deleted gnome-control-center (Fedora)
2014-07-08 09:13:36 Mathew Hodson gnome-settings-daemon: importance High Unknown
2014-07-08 09:13:36 Mathew Hodson gnome-settings-daemon: status Invalid Unknown
2014-07-08 09:13:36 Mathew Hodson gnome-settings-daemon: remote watch GNOME Bug Tracker #681685
2014-07-08 09:15:32 Mathew Hodson bug watch removed https://bugzilla.gnome.org/show_bug.cgi?id=726649
2014-07-08 09:21:04 Mathew Hodson bug watch removed https://bugzilla.gnome.org/show_bug.cgi?id=729423
2014-07-08 09:24:16 Mathew Hodson bug watch removed https://bugs.freedesktop.org/show_bug.cgi?id=55585
2014-07-08 10:31:59 Sergei Morozov removed subscriber Sergei Morozov
2014-07-11 08:26:18 Ohad Lutzky removed subscriber Ohad Lutzky
2014-07-26 20:42:13 sojusnik bug added subscriber sojusnik
2014-08-03 10:38:54 SergeyR bug added subscriber SergeyR
2014-08-08 19:25:31 Mathew Hodson branch unlinked lp:~attente/gnome-settings-daemon/1218322
2014-08-08 19:29:01 Mathew Hodson branch unlinked lp:~ubuntu-desktop/gnome-settings-daemon/unity
2014-08-21 07:32:09 The-mob bug added subscriber The-mob
2014-09-06 21:22:08 Joseph Chereshnovsky removed subscriber Joseph Chereshnovsky
2014-10-02 16:53:52 Robert Valiant removed subscriber Robert Valiant
2014-10-29 01:30:16 Mathew Hodson tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression saucy trusty ubuntu-desktop-trusty verification-done apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression-release saucy trusty ubuntu-desktop-trusty verification-done
2014-10-29 07:24:23 Veronika Levkevich removed subscriber Veronika Levkevich
2014-10-29 10:12:55 Navid removed subscriber Navid
2014-11-22 12:02:08 Nikolay Chuprina bug added subscriber Nikolay Chuprina
2014-11-30 12:56:25 Sergey "Shnatsel" Davidoff bug task added elementaryos
2014-11-30 13:07:50 ihoru removed subscriber ihoru
2014-11-30 13:14:38 Sergey "Shnatsel" Davidoff elementaryos: importance Undecided High
2014-11-30 13:14:38 Sergey "Shnatsel" Davidoff elementaryos: status New Confirmed
2014-11-30 13:14:38 Sergey "Shnatsel" Davidoff elementaryos: milestone freya-rc1
2014-11-30 14:54:19 Achilleas Kotsis removed subscriber Achilleas Kotsis
2014-11-30 15:55:23 To Do removed subscriber To Do
2014-11-30 17:50:06 Anton Petrov removed subscriber Anton Petrov
2014-12-01 11:59:08 Drors removed subscriber Drors
2014-12-05 06:33:38 Rolf Leggewie gnome-settings-daemon (Ubuntu Saucy): status Triaged Won't Fix
2014-12-05 06:43:44 Anton Novikov removed subscriber Anton Novikov
2014-12-05 06:45:01 Fedor Kovalev removed subscriber Fedor Kovalev
2014-12-05 07:39:12 Konstantinos Kypris removed subscriber Konstantinos Kypris
2014-12-05 07:43:25 Kurnosov removed subscriber Kurnosov
2014-12-09 18:51:57 Mathew Hodson branch linked lp:~attente/gnome-settings-daemon/1218322
2014-12-10 21:27:19 Bruce Pieterse ubuntu-gnome: milestone vivid
2014-12-30 14:17:32 Alexander Chernaev bug added subscriber Alexander Chernaev
2015-01-04 12:57:52 Bruce Pieterse ubuntu-gnome: status Confirmed Triaged
2015-01-04 13:22:27 Goran Doychev removed subscriber Goran Doychev
2015-01-05 20:53:33 Denis removed subscriber Denis
2015-01-05 20:53:47 Denis bug added subscriber Denis
2015-01-06 19:10:01 Bruce Pieterse nominated for series ubuntu-gnome/stable
2015-01-06 20:08:59 Tim Lunn nominated for series Ubuntu Trusty
2015-01-08 03:45:53 Bruce Pieterse ubuntu-gnome: status Triaged Fix Released
2015-01-08 05:25:43 Антон Лаврёнов removed subscriber Антон Лаврёнов
2015-01-08 09:58:52 Pavel Yushchenko removed subscriber Pavel Yushchenko
2015-01-08 10:35:05 Naveh Levanon removed subscriber Naveh Levanon
2015-01-08 16:43:54 Fartash removed subscriber Fartash
2015-01-14 04:07:08 Mathew Hodson tags apport-bug keyboard-layout-switching-hotkeys keyboard-layout-switching-related regression-release saucy trusty ubuntu-desktop-trusty verification-done apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty ubuntu-desktop-trusty verification-done
2015-01-14 05:12:26 Mathew Hodson tags apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty ubuntu-desktop-trusty verification-done amd64 apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty ubuntu-desktop-trusty verification-done
2015-01-14 06:16:38 Mathew Hodson description *** The old PPA, ppa:attente/1218322 is superceded by the following one. You can remove the old repository using ppa-purge. *** A PPA which should provide some relief for this issue is available at https://launchpad.net/~attente/+archive/modifier-only-input-switch. To install: sudo add-apt-repository ppa:attente/modifier-only-input-switch sudo apt-get update sudo apt-get upgrade (log out, log in) If the packages improve the situation for you, you can pin them using: sudo apt-mark hold compiz sudo apt-mark hold gnome-settings-daemon sudo apt-mark hold unity If the packages don't work for you, you can purge them using: sudo ppa-purge ppa:attente/modifier-only-input-switch === compiz === Impact: modifier-only key bindings need to be independent of key-press order, there's no support for double tapping two modifier keys of the same type Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - holding left shift, press and release ctrl -> the current input source should change Regression potential: possible, but highly unlikely, that some key bindings may be triggered due to the removal of some code that would normally prevent a possible tap from occurring. === unity === Impact: gnome-settings-daemon eats modifier-only shortcuts preventing them from propagating down to applications Test case: - open gnome-control-center's text input settings - set the next input source key binding to ctrl+left shift - open gnome-terminal - press ctrl+shift+t -> gnome-terminal should open a new tab Regression potential: the additional input switch key bindings could collide with other functionality such as opening the dash or hud === gnome-control-center === Impact: the UI to change the layout switching keys doesn't work Test case: - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a key combinaison (e.g ctrl-space) -> the UI should reflect the new keys Regression potential: that UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) === gnome-settings-daemon === Impact: attempting to change keyboard layouts using only modifier keys doesn't work Test case: - add at least two input sources through gnome-control-center's text entry settings - use gsettings to set the input switching shortcut to ctrl+left shift: gsettings set org.gnome.desktop.wm.keybindings switch-input-source "['<Primary>Shift_L']" - press and release ctrl+left shift -> the current input source should change Regression potential: The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Recent discovered bugs related to keyboard layouts:    * keyboard layout settings must be consistent between gnome-control-center keyboard, indicator-keyboard and gnome-tweak-tool and /etc/default/keyboard (bug 1270574)    * Ubuntu 14.04 should have gnome-tweak-tool installed by default because of many settings that are missed gnome-control-center (bug 1270572)    * Please add ability to set keyboard shortcuts to unity-control-center launched from GNOME session FlashBack (Compiz and Metacity) (bug 1282637)    * Unable to rename new folder in GtkFileChooserDialog while changing keyboard layout (bug 1299519) Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) Bugs which belong to keyboard layout switching:    * Hotkeys not functional in non-latin keyboard layout in 13.10 (bug 1226962)    * Keyboard Layout Options window is missed in gnome-control-center keyboard (bug 1245064)    * Unable to set keyboard LED to show alternative layout in gnome-control-center keyboard in Saucy (bug 1245188)    * Unable to set Miscellaneous compatibility options in gnome-control-center keyboard in Saucy (bug 1245199)    * Keyboard shortcut for changing keyboard layout does not work on lock screen (bug 1244548)    * [FFe] indicator-keyboard not working under greeter (bug 1228207)    * Lost ability to remap Caps Lock to Ctrl (bug 1215826)    * gnome-control-center keyboard no longer has way to modify caps lock key behavior (bug 1224575)    * Pressing Caps Lock toggles LED even when mapped to another key (bug 1221403)    * Switching layout turns off NumLock (bug 1247668)    * Pressing keyboard shortcut to switch keyboard layout causes temporary loss of focus (bug 1244090) * Unity shortcuts (Super+A/F/M/C/V) do not work on non-latin layout in Trusty - shortcuts are defined via keyboard layout, not the keys (bug 1280759) * Binding ctrl+shift, alt+shift, etc for switching keyboard layout makes shortcuts with ctrl+shift, etc not working in any program (bug 1245473) ---------------------- Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. Also the default shortcut was set to "Super+Space" that is inconveniently, because Dash is opening when you swich your keyboard layout. ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) [Impact] Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release ctrl+left shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) ---------------------- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2015-01-14 06:18:08 Mathew Hodson tags amd64 apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty ubuntu-desktop-trusty verification-done amd64 apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty verification-done
2015-01-14 06:24:30 lazorkon@gmail.com removed subscriber lazorkon@gmail.com
2015-01-14 06:34:05 vassdoki removed subscriber vassdoki
2015-01-17 10:41:09 Norbert tags amd64 apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty verification-done apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty verification-done
2015-01-17 10:42:01 Norbert description [Impact] Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release ctrl+left shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) ---------------------- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) [Impact] Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release ctrl+left shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- You can use the tag 'keyboard-layout-switching-hotkeys' to find related bugs (https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout- switching-hotkeys). Thanks to Mathew Hodson. Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) ---------------------- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2015-01-17 10:42:18 Norbert description [Impact] Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release ctrl+left shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- You can use the tag 'keyboard-layout-switching-hotkeys' to find related bugs (https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout- switching-hotkeys). Thanks to Mathew Hodson. Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) ---------------------- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) [Impact] Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release ctrl+left shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- You can use the tag 'keyboard-layout-switching-hotkeys' to find related bugs (https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout-switching-hotkeys). Thanks to Mathew Hodson. Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) ---------------------- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2015-01-17 10:52:10 palm_mute removed subscriber palm_mute
2015-01-18 03:46:17 Mathew Hodson description [Impact] Can't set keyboard layout change to ctrl+shift, Caps Lock, alt+shift etc. "Shift", "CapsLock" keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release ctrl+left shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. ---------------------- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). ---------------------- You can use the tag 'keyboard-layout-switching-hotkeys' to find related bugs (https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout-switching-hotkeys). Thanks to Mathew Hodson. Separate bug reports for individual layout switching hotkey combinations: Super+Space and Shift+Super+Space:    * Unity greeter (bug 1245137);    * Unity session (bug 1245136);    * lock screen - gnome-screensaver (bug 1245138, bug 1245256);    * ubiquity installer (bug 1242572). Alt+Shift:    * Unity greeter (bug 1245258)    * Can't set keyboard layout change to Alt+Shift (bug 1245926)    * Shift must be pressed pressed first (bug 1266179) Ctrl+Shift:    * lock screen - gnome-screensaver (bug 1245270)    * Unity greeter (bug 1245268)    * Can't set keyboard layout change to Ctrl+Shift (bug 1245991)    * If keyboard layout switching hotkey is set to Ctrl+Shift, Ctrl+Shift+C/V are not working in gnome-terminal (bug 1246656) Shift+Shift:    * Can't set keyboard layout change to Shift+Shift (bug 1245272)    * lock screen - gnome-screensaver (bug 1245278)    * Unity greeter (bug 1245280) ---------------------- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) [Impact] Can't set keyboard layout change to Ctrl+Shift, Caps Lock, Alt+Shift, etc. Shift, Caps Lock keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release Ctrl+Shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. -- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). You can use the tag keyboard-layout-switching-hotkeys to find related bugs. https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout-switching-hotkeys For using layout switching hotkeys in Unity Greeter, see bug 1245137. For using layout switching hotkeys in GNOME lockscreen, see bug 1244548. -- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2015-01-18 04:30:49 Mathew Hodson tags apport-bug keyboard-layout-switching-hotkeys regression-release saucy trusty verification-done apport-bug gnome3 keyboard-layout-switching-hotkeys regression-release saucy trusty ubuntu-gnome verification-done
2015-01-19 07:03:55 Omer bug added subscriber Omer
2015-01-29 20:26:17 Alexander Nyrkov bug added subscriber Alexander Nyrkov
2015-03-06 09:13:53 Masoud bug added subscriber Masoud
2015-03-11 12:19:42 AlexLomax bug added subscriber AlexLomax
2015-03-18 04:27:52 Reinventer removed subscriber Reinventer
2015-03-19 14:22:40 AlexLomax removed subscriber AlexLomax
2015-03-20 23:31:02 Mathew Hodson tags apport-bug gnome3 keyboard-layout-switching-hotkeys regression-release saucy trusty ubuntu-gnome verification-done apport-bug gnome3 keyboard-layout-switching-hotkeys metabug regression-release saucy trusty ubuntu-gnome verification-done
2015-03-23 06:13:07 Cody Garver bug task deleted elementaryos
2015-03-23 06:23:51 Anton removed subscriber Anton
2015-03-23 11:08:00 Dimasmith removed subscriber Dimasmith
2015-04-28 07:32:47 Lacho Tomov bug added subscriber Lacho Tomov
2015-06-01 21:43:07 Onime bug added subscriber Onime
2015-06-03 23:27:25 CS4 removed subscriber CS4
2015-09-16 22:20:19 Mathew Hodson affects gnome-control-center (Gentoo Linux) gentoo
2015-09-16 22:20:19 Mathew Hodson gentoo: importance Medium Undecided
2015-09-16 22:20:19 Mathew Hodson gentoo: status Invalid New
2015-09-16 22:20:19 Mathew Hodson gentoo: remote watch bugs.sabayon.org/ #4483
2015-09-16 22:21:48 Mathew Hodson bug task deleted gnome-settings-daemon (Ubuntu Saucy)
2015-09-16 22:22:20 Launchpad Janitor ubuntu: status New Confirmed
2015-09-16 22:22:20 Mathew Hodson affects gentoo ubuntu
2015-09-16 22:22:37 Mathew Hodson bug task deleted ubuntu
2015-09-16 22:23:28 Mathew Hodson affects gnome-control-center (Mandriva) ubuntu
2015-09-16 22:23:28 Mathew Hodson ubuntu: importance High Undecided
2015-09-16 22:23:28 Mathew Hodson ubuntu: status Invalid New
2015-09-16 22:23:28 Mathew Hodson ubuntu: remote watch bugs.mageia.org/ #11698
2015-09-16 22:23:43 Mathew Hodson bug task deleted ubuntu
2015-09-16 22:25:11 Mathew Hodson bug watch removed http://bugs.sabayon.org/show_bug.cgi?id=4483
2015-09-16 22:28:10 Mathew Hodson affects gnome-control-center (ALT Linux) ubuntu
2015-09-16 22:28:10 Mathew Hodson ubuntu: importance Unknown Undecided
2015-09-16 22:28:10 Mathew Hodson ubuntu: status Unknown New
2015-09-16 22:28:10 Mathew Hodson ubuntu: remote watch ALT Linux #29591
2015-09-16 22:28:27 Mathew Hodson bug task deleted ubuntu
2015-09-16 22:38:16 Mathew Hodson description [Impact] Can't set keyboard layout change to Ctrl+Shift, Caps Lock, Alt+Shift, etc. Shift, Caps Lock keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release Ctrl+Shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. -- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). You can use the tag keyboard-layout-switching-hotkeys to find related bugs. https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout-switching-hotkeys For using layout switching hotkeys in Unity Greeter, see bug 1245137. For using layout switching hotkeys in GNOME lockscreen, see bug 1244548. -- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) [Impact] Can't set keyboard layout change to Ctrl+Shift, Caps Lock, Alt+Shift, etc. Shift, Caps Lock keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release Ctrl+Shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. -- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). You can use the tag keyboard-layout-switching-hotkeys to find related bugs. https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout-switching-hotkeys For using layout switching hotkeys in Unity Greeter, see bug 1245137. For using layout switching hotkeys in GNOME lockscreen, see bug 1244548. -- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2015-09-17 04:18:15 kvas removed subscriber kvas
2015-09-17 06:45:31 Stanislav Zaprudsky removed subscriber Stanislav Zaprudsky
2015-09-17 08:17:11 Norbert bug task added gnome-control-center (Mandriva)
2015-09-17 08:25:48 Norbert bug watch added http://bugs.sabayon.org/show_bug.cgi?id=4483
2015-09-17 08:25:48 Norbert bug task added gnome-control-center (Gentoo Linux)
2015-09-17 08:27:09 Norbert bug task added gnome-control-center (ALT Linux)
2015-09-17 08:29:22 Anubhav Chattoraj removed subscriber Anubhav Chattoraj
2015-09-17 08:39:13 Yuriy Yunikov removed subscriber Yuriy Yunikov
2015-09-17 08:44:08 stamatis removed subscriber stamatis
2015-09-17 09:20:09 i removed subscriber i
2015-09-19 20:17:31 biske removed subscriber biske
2015-09-21 20:57:03 Shani Dalal removed subscriber Shani Dalal
2015-11-09 19:59:05 Stéphane Graber removed subscriber Stéphane Graber
2016-07-15 18:46:29 Issa Mahasneh bug added subscriber Issa Mahasneh
2017-01-23 07:38:52 Oleg Moiseichuk bug added subscriber Oleg Moiseichuk
2017-03-10 22:54:59 Darrell Ulm bug added subscriber Darrell Ulm
2017-05-01 16:06:59 Norbert tags apport-bug gnome3 keyboard-layout-switching-hotkeys metabug regression-release saucy trusty ubuntu-gnome verification-done apport-bug gnome3 keyboard-layout-switching-hotkeys metabug regression-release saucy trusty ubuntu-gnome verification-done xenial
2017-05-01 19:11:15 Norbert bug task added ubuntu-gnome-flashback
2017-05-01 19:12:15 Norbert bug task added ubuntu-flashback
2017-05-01 19:25:31 Marcelo Rinesi removed subscriber Marcelo Rinesi
2017-05-02 09:31:39 Norbert bug added subscriber Dimitri John Ledkov
2017-05-02 09:54:46 Norbert description [Impact] Can't set keyboard layout change to Ctrl+Shift, Caps Lock, Alt+Shift, etc. Shift, Caps Lock keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry settings - press and release Ctrl+Shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. -- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). You can use the tag keyboard-layout-switching-hotkeys to find related bugs. https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout-switching-hotkeys For using layout switching hotkeys in Unity Greeter, see bug 1245137. For using layout switching hotkeys in GNOME lockscreen, see bug 1244548. -- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install) [Impact] Can't set keyboard layout change to Ctrl+Shift, Caps Lock, Alt+Shift, etc. Shift, Caps Lock keys are just ignored in settings. [Test Case] - open gnome-control-center's text input settings - click on the "next layout key" entry - try entering a combination of two modifier keys such as Ctrl+Shift -> the UI should reflect the new keys - add at least two input sources through gnome-control-center's text entry   settings - press and release Ctrl+Shift -> the current input source should change [Regression Potential] That UI was not working before, it should only be an improvement (some key combos are not working as expected, that's another issue and shouldn't be mixed with this one) The input switching shortcut might capture other non-modifier shortcuts, but users will need to consider this when choosing their switching shortcut anyways. For users this bug affects, this represents a working solution for a critical bug. -- Test results for different keyboard layout change hotkeys may be viewed and added in the Google Docs table, created by Norbert (https://docs.google.com/spreadsheet/ccc?key=0Ao5e713Ig9g_dEJrX2NRYlpLWWVzSWxsVXU4ck9HYVE&usp=sharing). You can use the tag keyboard-layout-switching-hotkeys to find related bugs. https://bugs.launchpad.net/ubuntu/+bugs?field.tag=keyboard-layout-switching-hotkeys For using layout switching hotkeys in Unity Greeter, see bug 1245137. For using layout switching hotkeys in GNOME lockscreen, see bug 1244548. For using layout switching hotkeys in GNOME FlashBack sessions, see bug 1687466 (at least <Alt+Shift>). -- ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: indicator-keyboard 0.0.0+13.10.20130829.1-0ubuntu1 ProcVersionSignature: Ubuntu 3.11.0-2.5-generic 3.11.0-rc5 Uname: Linux 3.11.0-2-generic x86_64 NonfreeKernelModules: nvidia ApportVersion: 2.12.1-0ubuntu2 Architecture: amd64 Date: Thu Aug 29 14:21:54 2013 InstallationDate: Installed on 2013-07-31 (28 days ago) InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130730) MarkForUpload: True ProcEnviron:  LANGUAGE=ru_UA:ru  PATH=(custom, no user)  XDG_RUNTIME_DIR=<set>  LANG=ru_UA.UTF-8  SHELL=/bin/bash SourcePackage: indicator-keyboard UpgradeStatus: No upgrade log present (probably fresh install)
2017-05-02 10:11:34 Lacho Tomov removed subscriber Lacho Tomov
2017-07-25 06:26:45 The-mob removed subscriber The-mob
2017-10-22 16:01:23 Norbert tags apport-bug gnome3 keyboard-layout-switching-hotkeys metabug regression-release saucy trusty ubuntu-gnome verification-done xenial apport-bug artful gnome3 keyboard-layout-switching-hotkeys metabug regression-release saucy trusty ubuntu-gnome verification-done xenial
2017-10-27 10:03:16 Serguei Pachtchenko removed subscriber Serguei Pachtchenko
2017-11-03 06:19:14 asdqweasd bug added subscriber asdqweasd
2017-11-03 07:31:17 Alexander Chernaev removed subscriber Alexander Chernaev
2017-11-03 07:31:24 Alexander Chernaev bug added subscriber Alexander Chernaev
2018-04-02 10:51:28 Andrey bug added subscriber Andrey
2018-05-01 15:01:56 Dmitry bug added subscriber Dmitry
2018-09-29 14:12:35 Efthimios Chaskaris bug added subscriber Efthimios Chaskaris
2019-03-03 14:19:19 paranoid removed subscriber paranoid